#include "RakPeers.h"

auto Hooks::RakPeers::callback_runupdatecycle(void* _this, void* a2) -> void {
	bool cancel = false;
	for (Mod* mod : Client::modlist) {
		if (!mod->enabled && mod->onlyenabled) continue;

		mod->onRunUpdateCycle(&cancel);
	}

	if (!cancel)
		return rakpeer_runupdatecycle(_this, a2);
}
